PKG-SHLIB(8)

NAME
pkg shlib - display which installed package provides a specfic shared library, and the installed packages which require it

library is the filename of the library without any leading path, but including the ABI version number. Only exact matches are handled.

SYNOPSIS
pkg shlib [-q] [-PR] library

pkg shlib [--quiet] [--{provides,requires}] library

DESCRIPTION
pkg shlib is used for displaying the packages that provide library or that require library by containing binaries that link to it.

OPTIONS
The following mutually exclusive options are supported by pkg shlib:

-P, --provides
    Show only the installed packages which provide the named library.

-R, --requires
    Show only the installed packages which require library.

-q, --quiet
    Force quiet output.

ENVIRONMENT
The following environment variables affect the execution of pkg shlib. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-add(8), pkg-alias(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)